<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Message_buffer_factory_setup</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__message__buffer__factory__setup.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#files">Files</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">Message_buffer_factory_setup</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:erpc__mbf__setup_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="erpc__mbf__setup_8h.html">erpc_mbf_setup.h</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga73f8fbab58ca7553109bc98b28e72bf5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga73f8fbab58ca7553109bc98b28e72bf5"></a>
typedef struct ErpcMessageBufferFactory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__message__buffer__factory__setup.html#ga73f8fbab58ca7553109bc98b28e72bf5">erpc_mbf_t</a></td></tr>
<tr class="memdesc:ga73f8fbab58ca7553109bc98b28e72bf5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opaque MessageBufferFactory object type. <br /></td></tr>
<tr class="separator:ga73f8fbab58ca7553109bc98b28e72bf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
MessageBufferFactory setup</h2></td></tr>
<tr class="memitem:ga62de0ff0c2a0a23dc2f3db8401def661"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga62de0ff0c2a0a23dc2f3db8401def661"></a>
<a class="el" href="group__message__buffer__factory__setup.html#ga73f8fbab58ca7553109bc98b28e72bf5">erpc_mbf_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__message__buffer__factory__setup.html#ga62de0ff0c2a0a23dc2f3db8401def661">erpc_mbf_static_init</a> (void)</td></tr>
<tr class="memdesc:ga62de0ff0c2a0a23dc2f3db8401def661"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create MessageBuffer factory which is using static allocated buffers. <br /></td></tr>
<tr class="separator:ga62de0ff0c2a0a23dc2f3db8401def661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2639cc838ce1a70f6af184a22d5827e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2639cc838ce1a70f6af184a22d5827e3"></a>
<a class="el" href="group__message__buffer__factory__setup.html#ga73f8fbab58ca7553109bc98b28e72bf5">erpc_mbf_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__message__buffer__factory__setup.html#ga2639cc838ce1a70f6af184a22d5827e3">erpc_mbf_dynamic_init</a> (void)</td></tr>
<tr class="memdesc:ga2639cc838ce1a70f6af184a22d5827e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create MessageBuffer factory which is using dynamic allocated buffers. <br /></td></tr>
<tr class="separator:ga2639cc838ce1a70f6af184a22d5827e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ff1bf45b36098ae99d5044ddd1f2af5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__message__buffer__factory__setup.html#ga73f8fbab58ca7553109bc98b28e72bf5">erpc_mbf_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__message__buffer__factory__setup.html#ga3ff1bf45b36098ae99d5044ddd1f2af5">erpc_mbf_rpmsg_zc_init</a> (<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a> transport)</td></tr>
<tr class="memdesc:ga3ff1bf45b36098ae99d5044ddd1f2af5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create MessageBuffer factory which is using RPMSG LITE zero copy buffers.  <a href="#ga3ff1bf45b36098ae99d5044ddd1f2af5">More...</a><br /></td></tr>
<tr class="separator:ga3ff1bf45b36098ae99d5044ddd1f2af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga3ff1bf45b36098ae99d5044ddd1f2af5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__message__buffer__factory__setup.html#ga73f8fbab58ca7553109bc98b28e72bf5">erpc_mbf_t</a> erpc_mbf_rpmsg_zc_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td>
          <td class="paramname"><em>transport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create MessageBuffer factory which is using RPMSG LITE zero copy buffers. </p>
<p>Has to be used with RPMSG lite zero copy transport. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
